eccodes

- Main Page
- C Interface
- F90 Interface
- Python Interface

All Data Structures Namespaces Files Functions Groups Pages
Functions
Handling coded messages

## Functions
int | codes_get_message (codes_handle *h, const void **message, size_t *message_length)
| getting the message attached to a handle More...
int | codes_get_message_copy (codes_handle *h, void *message, size_t *message_length)
| getting a copy of the message attached to a handle More...

## Detailed Description

## Function Documentation

int codes_get_message | ( | codes_handle * | h,
|  | const void ** | message,
|  | size_t * | message_length
| ) |  |

getting the message attached to a handle

Parameters

  h | : the handle to which the buffer should be gathered
  message | : the pointer to be set to the handle's data
  message_length | : On exit, the message size in number of bytes

Returns
  0 if OK, integer value on error

int codes_get_message_copy | ( | codes_handle * | h,
|  | void * | message,
|  | size_t * | message_length
| ) |  |

getting a copy of the message attached to a handle

Parameters

  h | : the handle to which the buffer should be returned
  message | : the pointer to the data buffer to be filled
  message_length | : On entry, the size in number of bytes of the allocated empty message. On exit, the actual message length in number of bytes

Returns
  0 if OK, integer value on error